aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/svr4
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/svr4')
-rw-r--r--packaging/svr4/Makefile.am3
-rw-r--r--packaging/svr4/Makefile.in229
-rwxr-xr-xpackaging/svr4/checkinstall.in53
-rwxr-xr-xpackaging/svr4/mkpkg82
-rw-r--r--packaging/svr4/pkginfo.in13
5 files changed, 380 insertions, 0 deletions
diff --git a/packaging/svr4/Makefile.am b/packaging/svr4/Makefile.am
new file mode 100644
index 0000000000..127885e13d
--- /dev/null
+++ b/packaging/svr4/Makefile.am
@@ -0,0 +1,3 @@
+DISTCLEANFILES = Prototype
+
+EXTRA_DIST = checkinstall.in mkpkg pkginfo.in
diff --git a/packaging/svr4/Makefile.in b/packaging/svr4/Makefile.in
new file mode 100644
index 0000000000..0b6ca28deb
--- /dev/null
+++ b/packaging/svr4/Makefile.in
@@ -0,0 +1,229 @@
+# Makefile.in generated automatically by automake 1.4 from Makefile.am
+
+# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+
+SHELL = @SHELL@
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+
+bindir = @bindir@
+sbindir = @sbindir@
+libexecdir = @libexecdir@
+datadir = @datadir@
+sysconfdir = @sysconfdir@
+sharedstatedir = @sharedstatedir@
+localstatedir = @localstatedir@
+libdir = @libdir@
+infodir = @infodir@
+mandir = @mandir@
+includedir = @includedir@
+oldincludedir = /usr/include
+
+DESTDIR =
+
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+
+top_builddir = ../..
+
+ACLOCAL = @ACLOCAL@
+AUTOCONF = @AUTOCONF@
+AUTOMAKE = @AUTOMAKE@
+AUTOHEADER = @AUTOHEADER@
+
+INSTALL = @INSTALL@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+transform = @program_transform_name@
+
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+host_alias = @host_alias@
+host_triplet = @host@
+AS = @AS@
+CC = @CC@
+CPP = @CPP@
+DATAFILE_DIR = @DATAFILE_DIR@
+DLLTOOL = @DLLTOOL@
+FLEX_PATH = @FLEX_PATH@
+GLIB_CFLAGS = @GLIB_CFLAGS@
+GLIB_CONFIG = @GLIB_CONFIG@
+GLIB_LIBS = @GLIB_LIBS@
+GTK_CFLAGS = @GTK_CFLAGS@
+GTK_CONFIG = @GTK_CONFIG@
+GTK_LIBS = @GTK_LIBS@
+HAVE_PKGMK = @HAVE_PKGMK@
+HAVE_PKGPROTO = @HAVE_PKGPROTO@
+HAVE_PKGTRANS = @HAVE_PKGTRANS@
+HAVE_RPM = @HAVE_RPM@
+HAVE_RPM_PACKAGING = @HAVE_RPM_PACKAGING@
+HAVE_SVR4_PACKAGING = @HAVE_SVR4_PACKAGING@
+INET_ATON_C = @INET_ATON_C@
+INET_ATON_O = @INET_ATON_O@
+INET_NTOP_C = @INET_NTOP_C@
+INET_NTOP_O = @INET_NTOP_O@
+INET_PTON_C = @INET_PTON_C@
+INET_PTON_O = @INET_PTON_O@
+LEX = @LEX@
+LIBTOOL = @LIBTOOL@
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+LN_S = @LN_S@
+MAKEINFO = @MAKEINFO@
+MKSTEMP_C = @MKSTEMP_C@
+MKSTEMP_O = @MKSTEMP_O@
+NSL_LIBS = @NSL_LIBS@
+OBJDUMP = @OBJDUMP@
+PACKAGE = @PACKAGE@
+PCAP_LIBS = @PCAP_LIBS@
+PERL_PATH = @PERL_PATH@
+PLUGIN_DIR = @PLUGIN_DIR@
+RANLIB = @RANLIB@
+SNMP_LIBS = @SNMP_LIBS@
+SNPRINTF_C = @SNPRINTF_C@
+SNPRINTF_O = @SNPRINTF_O@
+SOCKET_LIBS = @SOCKET_LIBS@
+STRCASECMP_C = @STRCASECMP_C@
+STRCASECMP_O = @STRCASECMP_O@
+STRERROR_C = @STRERROR_C@
+STRERROR_O = @STRERROR_O@
+STRNCASECMP_C = @STRNCASECMP_C@
+STRNCASECMP_O = @STRNCASECMP_O@
+VERSION = @VERSION@
+YACC = @YACC@
+ethereal_SUBDIRS = @ethereal_SUBDIRS@
+
+DISTCLEANFILES = Prototype
+
+EXTRA_DIST = checkinstall.in mkpkg pkginfo.in
+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+CONFIG_HEADER = ../../config.h
+CONFIG_CLEAN_FILES = checkinstall pkginfo
+DIST_COMMON = Makefile.am Makefile.in checkinstall.in pkginfo.in
+
+
+DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
+
+TAR = gtar
+GZIP_ENV = --best
+all: all-redirect
+.SUFFIXES:
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+ cd $(top_srcdir) && $(AUTOMAKE) --gnu packaging/svr4/Makefile
+
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
+ cd $(top_builddir) \
+ && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+
+checkinstall: $(top_builddir)/config.status checkinstall.in
+ cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+pkginfo: $(top_builddir)/config.status pkginfo.in
+ cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+tags: TAGS
+TAGS:
+
+
+distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
+
+subdir = packaging/svr4
+
+distdir: $(DISTFILES)
+ here=`cd $(top_builddir) && pwd`; \
+ top_distdir=`cd $(top_distdir) && pwd`; \
+ distdir=`cd $(distdir) && pwd`; \
+ cd $(top_srcdir) \
+ && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu packaging/svr4/Makefile
+ @for file in $(DISTFILES); do \
+ d=$(srcdir); \
+ if test -d $$d/$$file; then \
+ cp -pr $$d/$$file $(distdir)/$$file; \
+ else \
+ test -f $(distdir)/$$file \
+ || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
+ || cp -p $$d/$$file $(distdir)/$$file || :; \
+ fi; \
+ done
+info-am:
+info: info-am
+dvi-am:
+dvi: dvi-am
+check-am: all-am
+check: check-am
+installcheck-am:
+installcheck: installcheck-am
+install-exec-am:
+install-exec: install-exec-am
+
+install-data-am:
+install-data: install-data-am
+
+install-am: all-am
+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+install: install-am
+uninstall-am:
+uninstall: uninstall-am
+all-am: Makefile
+all-redirect: all-am
+install-strip:
+ $(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
+installdirs:
+
+
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+ -rm -f Makefile $(CONFIG_CLEAN_FILES)
+ -rm -f config.cache config.log stamp-h stamp-h[0-9]*
+ -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
+
+maintainer-clean-generic:
+mostlyclean-am: mostlyclean-generic
+
+mostlyclean: mostlyclean-am
+
+clean-am: clean-generic mostlyclean-am
+
+clean: clean-am
+
+distclean-am: distclean-generic clean-am
+ -rm -f libtool
+
+distclean: distclean-am
+
+maintainer-clean-am: maintainer-clean-generic distclean-am
+ @echo "This command is intended for maintainers to use;"
+ @echo "it deletes files that may require special tools to rebuild."
+
+maintainer-clean: maintainer-clean-am
+
+.PHONY: tags distdir info-am info dvi-am dvi check check-am \
+installcheck-am installcheck install-exec-am install-exec \
+install-data-am install-data install-am install uninstall-am uninstall \
+all-redirect all-am all installdirs mostlyclean-generic \
+distclean-generic clean-generic maintainer-clean-generic clean \
+mostlyclean distclean maintainer-clean
+
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff --git a/packaging/svr4/checkinstall.in b/packaging/svr4/checkinstall.in
new file mode 100755
index 0000000000..0aafb6fbb1
--- /dev/null
+++ b/packaging/svr4/checkinstall.in
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# Checkinstall - perform preinstallation install checks.
+#
+# This is a modified version of a script written by mark@metalab.unc.edu .
+# The original is at http://metalab.unc.edu/pub/packages/solaris/sparc/html/creating.solaris.packages.html .
+
+gtk_major_needed="1"
+gtk_minor_needed="2"
+
+host_cpu="@host_cpu@"
+host_os="@host_os@"
+
+release=`uname -r`
+platform=`uname -p`
+
+# GNU autoconf translates "i86pc" to "i386".
+if [ "$host_cpu" = "i386" ] ; then
+ expected_platform="i86pc"
+else
+ expected_platform="@host_cpu@"
+fi
+#
+
+if [ -x /usr/local/bin/gtk-config ] ; then
+ gtk_installed=`/usr/local/bin/gtk-config --version`
+ gtk_major_installed=`echo $gtk_installed | cut -f1 -d.`
+ gtk_minor_installed=`echo $gtk_installed | cut -f2 -d.`
+else
+ gtk_major_installed="0"
+ gtk_minor_installed="0"
+fi
+
+#
+if [ ${platform} != ${expected_platform} ]; then
+ echo "\n\n\n\tThis package must be installed on a ${expected_platform} architecture\n"
+ echo "\tAborting installation.\n\n\n"
+ exit 1
+fi
+# if [ ${release} != ${expected_release} ]; then
+# echo "\n\n\n\tThis package must be installed on a ${expected_release} machine\n"
+# echo "\tAborting installation.\n\n\n"
+# exit 1
+# fi
+
+if [ "$gtk_major_installed" -lt "$gtk_major_needed" -a \
+ "$gtk_minor_installed" -lt "$gtk_minor_needed" ] ; then
+ echo "\n\n\n\tThis package requires gtk+ version >= $gtk_major_needed.$gtk_minor_needed installed in /usr/local."
+ echo "\tAborting installation.\n\n\n"
+ exit 1
+fi
+
+exit 0
diff --git a/packaging/svr4/mkpkg b/packaging/svr4/mkpkg
new file mode 100755
index 0000000000..06e8a40540
--- /dev/null
+++ b/packaging/svr4/mkpkg
@@ -0,0 +1,82 @@
+#!/bin/sh
+#
+# mkpkg - Builds a pkgadd-installable package from a listing of the contents in
+# a staging directory.
+#
+# This is a modified version of a script written by mark@metalab.unc.edu .
+# The original is at http://metalab.unc.edu/pub/packages/solaris/sparc/html/creating.solaris.packages.html .
+
+if [ "$1" != "" ] ; then
+ pkg=$1
+else
+ echo "Usage: " `basename $0` " <package name> [output file]"
+ exit 1
+fi
+
+if [ "$2" != "" ] ; then
+ pkgfile=$2
+else
+ pkgfile=$pkg
+fi
+
+if [ "$3" != "" ] ; then
+ prefix=$3
+else
+ prefix=/usr/local
+fi
+
+if [ "$4" != "" ] ; then
+ srcdir=$4
+else
+ srcdir=`basename $0`/../..
+fi
+
+# Initialize our variables
+prepdir=`dirname $0`
+prototype="$prepdir/Prototype"
+stagedir=$srcdir/${pkg}.stage
+
+# Create the Prototype file
+cat > $prototype <<Fin
+i pkginfo
+i checkinstall
+Fin
+if [ ! -d $stagedir ] ; then
+ echo "Whoops! Staging directory $stagedir doesn't exist. Bailing."
+ exit 1
+fi
+
+find $stagedir/$prefix -mindepth 1 -print | \
+ pkgproto $stagedir/$prefix=$prefix >> $prototype
+
+# Make the package installation directory
+pkgmk -o -r / -d /$srcdir -f $prototype
+echo "Setting file permissions in $stagedir tree to 644."
+find $stagedir -type f -print | xargs chmod a+r
+find $stagedir -type f -print | xargs chmod u+w
+echo "Setting directory permissions in $stagedir tree to 755."
+find $stagedir -type d -print | xargs chmod 755
+if [ -f $stagedir/install/preinstall ]; then
+ chmod 755 $stagedir/install/preinstall
+fi
+if [ -f $stagedir/install/postinstall ]; then
+ chmod 755 $stagedir/install/postinstall
+fi
+if [ -f $stagedir/install/preremove ]; then
+ chmod 755 $stagedir/install/preremove
+fi
+if [ -f $stagedir/install/postremove ]; then
+ chmod 755 $stagedir/install/postremove
+fi
+if [ -f $stagedir/install/request ]; then
+ chmod 755 $stagedir/install/request
+fi
+if [ -f $stagedir/install/checkinstall ]; then
+ chmod 755 $stagedir/install/checkinstall
+fi
+
+# Spool the install directory into its own self-contained file.
+pkgtrans -s $srcdir $pkgfile $pkg
+
+# echo "Compressing package file"
+# gzip -9 $srcdir/$pkgfile
diff --git a/packaging/svr4/pkginfo.in b/packaging/svr4/pkginfo.in
new file mode 100644
index 0000000000..af6dae7b8e
--- /dev/null
+++ b/packaging/svr4/pkginfo.in
@@ -0,0 +1,13 @@
+PKG="@PACKAGE@"
+NAME="@PACKAGE@ @VERSION@"
+VERSION="@VERSION@"
+ARCH="@host_cpu@"
+CLASSES="none"
+CATEGORY="application,network"
+DESC="A GUI network protocol analyzer"
+VENDOR="Ethereal Development Team"
+PSTAMP="2000-07-16"
+EMAIL="gerald@zing.org"
+ISTATES="S s 1 2 3"
+RSTATES="S s 1 2 3"
+BASEDIR=""